@echo off

echo Compiling...

rem ***** SOURCE FILES *****
rgbasm95 -q -zff -oobjs\tridball.obj tridball.z80
if errorlevel 1 goto ending

rgbasm95 -q -zff -oobjs\engine.obj engine.z80
if errorlevel 1 goto ending

rgbasm95 -q -zff -oobjs\ball.obj ball.z80
if errorlevel 1 goto ending

rgbasm95 -q -zff -oobjs\structs.obj structs.z80
if errorlevel 1 goto ending

rgbasm95 -q -zff -oobjs\paddles.obj paddles.z80
if errorlevel 1 goto ending

rgbasm95 -q -zff -oobjs\menu.obj menu.z80
if errorlevel 1 goto ending


REM LINK & FIX *****

echo Linking...

cd objs

xlink95 -zff -ntridball.sym -mtridball.lst -ts link
if errorlevel 1 goto ending

move *.gb ..\
move *.sym ..\
cd ..

echo Fixing...

rgbfix95 -q -c -ttridball -v -pff tridball.gb

echo Cleaning up...

:ending
